Update Workspace Name
curl --request PUT \
--url https://api.trillet.ai/v1/api/workspaces/{workspaceId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/workspaces/{workspaceId}"
payload = { "name": "<string>" }
headers = {
"x-workspace-id": "<x-workspace-id>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-workspace-id': '<x-workspace-id>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.trillet.ai/v1/api/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"initials": "<string>",
"teamMembers": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}Workspaces
Update Workspace Name
Update the name of an existing workspace. Only the owner of the workspace is authorized to perform this action.
PUT
/
v1
/
api
/
workspaces
/
{workspaceId}
Update Workspace Name
Path Parameters
string
required
The unique identifier of the workspace to update.
Headers
string
required
The workspace ID (should match the
workspaceId path parameter).Request Body
string
required
The new name for the workspace.
Response Fields
string
The unique identifier of the workspace.
string
The updated name of the workspace.
string
The initials assigned to the workspace.
array
List of team members associated with the workspace.
string
Timestamp when the workspace was created (ISO 8601 format).
string
Timestamp when the workspace was last updated (ISO 8601 format).
⌘I
